<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="UTF-8">
<title>Bullet_in_Board</title>
<style>
table {
  border-collapse: collapse;
}
.col_createDate {width: 100px;}
.col_title {width: 500px;}
.col_createUser {width: 200px;}
</style>
</head>
<body>
<h1>掲示板</h1>
<a href="/logout">ログアウト</a>
<table border="1">
    <tr>
        <th class="col_createDate">投稿日</th>
        <th class="col_title">タイトル</th>
        <th class="col_createUser">投稿者</th>
        <th class="col_division">カテゴリ</th>
        <th></th>
        <th></th>
        <th></th>
    </tr>
    <tr th:each="obj : ${data}">
        <td th:text="${obj.createDate}"></td>
        <td th:text="${obj.title}"></td>
        <td th:text="${obj.createUser}"></td>

        <td th:text="${divData.get(objStat.index).name}"></td>

        <td>
            <form action="/detail" method="get">
                <input type="submit" value="詳細">
                <input type="hidden" name="id" th:value="${obj.id}">
            </form>
        </td>
        <td>
            <form action="/edit" method="get">
                <input type="submit" value="編集">
                <input type="hidden" name="id" th:value="${obj.id}">
            </form>
        </td>
        <td>
            <form th:action="@{/delete}" method="post">
                <input type="submit" value="削除">
                <input type="hidden" name="id" th:value="${obj.id}">
            </form>
        </td>
    </tr>
</table>
<hr>
<form action="/add">
    <input type="submit" value="新規投稿" />
</form>
</body>
</html>